//
// Created by jovian on 18/07/17.
//

#ifndef TINYSHOOTER_GAMECORE_H
#define TINYSHOOTER_GAMECORE_H

// Read hardware commands
#include "Control/Input.h"

// For game display
#include "Graphics/Renderer.h"
#include "Graphics/MetaField.h"

class GameCore {
public :
    GameCore();
    virtual ~GameCore();

    bool initialize(); // Create attributes, return false if failure occurred
    void start(); // Start a default game

protected:
    Input *m_input;
    Renderer *m_rend;
};


#endif //TINYSHOOTER_GAMECORE_H
